atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Atk.StateTypeGType)) The possible types of states of an object
- Field
  2.12.0.0
  Atk.StateType Indicates a window is currently the active window
- Field
  2.12.0.0
  Atk.StateType To be added.
- Field
  2.12.0.0
  Atk.StateType Indicates that the object is armed
- Field
  2.12.0.0
  Atk.StateType Indicates the current object is busy
- Field
  2.12.0.0
  Atk.StateType Indicates this object is currently checked
- Field
  2.12.0.0
  Atk.StateType To be added.
- Field
  2.12.0.0
  Atk.StateType Indicates the user interface object corresponding to this object no longer exists
- Field
  2.12.0.0
  Atk.StateType Indicates the user can change the contents of this object
- Field
  2.12.0.0
  Atk.StateType Indicates that this object is enabled. An inconsistent is an example of an object which is sensitive but not enabled.
- Field
  2.12.0.0
  Atk.StateType Indicates this object allows progressive disclosure of its children
- Field
  2.12.0.0
  Atk.StateType Indicates this object its expanded
- Field
  2.12.0.0
  Atk.StateType Indicates this object can accept keyboard focus, which means all events resulting from typing on the keyboard will normally be passed to it when it has focus
- Field
  2.12.0.0
  Atk.StateType Indicates this object currently has the keyboard focus
- Field
  2.12.0.0
  Atk.StateType Indicates the orientation of this object is horizontal
- Field
  2.12.0.0
  Atk.StateType Indicates this object is minimized and is represented only by an icon
- Field
  2.12.0.0
  Atk.StateType Indicates that a check box is in a state other than checked or not checked.
- Field
  2.12.0.0
  Atk.StateType Indicates an invalid state
- Field
  2.12.0.0
  Atk.StateType To be added.
- Field
  2.12.0.0
  Atk.StateType Not a valid state, used for finding end of enumeration
- Field
  2.12.0.0
  Atk.StateType Indicates that "active-descendant-changed" event is sent when children become 'active' (i.e. are selected or navigated to onscreen). Used to prevent need to enumerate all children in very large containers, like tables.
- Field
  2.12.0.0
  Atk.StateType Indicates something must be done with this object before the user can interact with an object in a different window
- Field
  2.12.0.0
  Atk.StateType Indicates this (text) object can contain multiple lines of text
- Field
  2.12.0.0
  Atk.StateType Indicates this object allows more than one of its children to be selected at the same time
- Field
  2.12.0.0
  Atk.StateType Indicates this object paints every pixel within its rectangular region
- Field
  2.12.0.0
  Atk.StateType Indicates this object is currently pressed
- Field
  2.12.0.0
  Atk.StateType Indicates that explicit user interaction with an object is required by the user interface, e.g. a required field in a "web-form" interface.
- Field
  2.12.0.0
  Atk.StateType Indicates the size of this object is not fixed
- Field
  2.12.0.0
  Atk.StateType Indicates this object is the child of an object that allows its children to be selected and that this child is one of those children that can be selected
- Field
  2.12.0.0
  Atk.StateType To be added.
- Field
  2.12.0.0
  Atk.StateType Indicates this object is the child of an object that allows its children to be selected and that this child is one of those children that has been selected
- Field
  2.12.0.0
  Atk.StateType Indicates this object is sensitive
- Field
  2.12.0.0
  Atk.StateType Indicates this object, the object's parent, the object's parent's parent, and so on, are all visible
- Field
  2.12.0.0
  Atk.StateType Indicates this (text) object can contain only a single line of text
- Field
  2.12.0.0
  Atk.StateType Indicates that the index associated with this object has changed since the user accessed the object.
- Field
  2.12.0.0
  Atk.StateType To be added.
- Field
  2.12.0.0
  Atk.StateType Indicates this object is transient
- Field
  2.12.0.0
  Atk.StateType Indicates that an object is truncated, e.g. a text value in a speradsheet cell.
- Field
  2.12.0.0
  Atk.StateType Indicates the orientation of this object is vertical
- Field
  2.12.0.0
  Atk.StateType Indicates this object is visible
- Field
  2.12.0.0
  Atk.StateType To be added.